# Uses of Class
org.opensaml.saml.common.messaging.context.SAMLSubjectNameIdentifierContext

Packages that use SAMLSubjectNameIdentifierContext
Package
Description
org.opensaml.saml.saml1.profile.impl
Implementations of SAML 1.x profile behavior.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.

## Uses of SAMLSubjectNameIdentifierContext in org.opensaml.saml.saml1.profile.impl

Fields in org.opensaml.saml.saml1.profile.impl with type parameters of type SAMLSubjectNameIdentifierContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,SAMLSubjectNameIdentifierContext>`
CopyNameIdentifierFromRequest.`nameIdentifierContextLookupStrategy`
Strategy used to locate the name identifier context to copy from.
Method parameters in org.opensaml.saml.saml1.profile.impl with type arguments of type SAMLSubjectNameIdentifierContext
Modifier and Type
Method
Description
`void`
CopyNameIdentifierFromRequest.`setNameIdentifierContextLookupStrategy(Function<ProfileRequestContext,SAMLSubjectNameIdentifierContext> strategy)`
Set the strategy used to locate the `SAMLSubjectNameIdentifierContext` to copy from.

## Uses of SAMLSubjectNameIdentifierContext in org.opensaml.saml.saml2.profile.impl

Fields in org.opensaml.saml.saml2.profile.impl with type parameters of type SAMLSubjectNameIdentifierContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,SAMLSubjectNameIdentifierContext>`
CopyNameIDFromRequest.`nameIdentifierContextLookupStrategy`
Strategy used to locate the name identifier context to copy from.
Method parameters in org.opensaml.saml.saml2.profile.impl with type arguments of type SAMLSubjectNameIdentifierContext
Modifier and Type
Method
Description
`void`
CopyNameIDFromRequest.`setNameIDContextLookupStrategy(Function<ProfileRequestContext,SAMLSubjectNameIdentifierContext> strategy)`
Set the strategy used to locate the `SAMLSubjectNameIdentifierContext` to copy from.